public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
From: snitzer@sourceware.org
To: lvm-devel@redhat.com, lvm2-cvs@sourceware.org
Subject: LVM2/test t-pvcreate-operation-md.sh
Date: Tue, 19 Jan 2010 15:59:00 -0000	[thread overview]
Message-ID: <20100119155934.15758.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	snitzer@sourceware.org	2010-01-19 15:59:34

Modified files:
	test           : t-pvcreate-operation-md.sh 

Log message:
	update test/t-pvcreate-operation-md.sh attempt loading raid0.ko if raid0
	isn't already available (in /proc/mdstat).
	
	switch to requiring 2.6.33 for the alignment_offset tests; 2.6.{31,32}
	alignment_offset values aren't reliable.  2.6.33 _should_ have mkp's
	alignment_offset fixes but so far it doesn't (as of 2.6.33-rc4).

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-pvcreate-operation-md.sh.diff?cvsroot=lvm2&r1=1.3&r2=1.4

--- LVM2/test/t-pvcreate-operation-md.sh	2009/09/30 16:13:53	1.3
+++ LVM2/test/t-pvcreate-operation-md.sh	2010/01/19 15:59:34	1.4
@@ -14,7 +14,9 @@
 which perl || exit 200
 which awk || exit 200
 which cut || exit 200
-test -f /proc/mdstat || exit 200
+
+test -f /proc/mdstat && grep -q raid0 /proc/mdstat || \
+modprobe raid0 || exit 200
 
 . ./test-utils.sh
 
@@ -66,7 +68,8 @@
 linux_minor=$(echo `uname -r` | cut -d'.' -f3 | cut -d'-' -f1)
 
 # Test newer topology-aware alignment detection
-if [ $linux_minor -gt 31 ]; then
+# - first added to 2.6.31 but not "reliable" until 2.6.33
+if [ $linux_minor -ge 33 ]; then
     pv_align="256.00k"
     pvcreate --metadatasize 128k \
 	--config 'devices { md_chunk_alignment=0 }' $mddev
@@ -74,7 +77,7 @@
 fi
 
 # partition MD array directly, depends on blkext in Linux >= 2.6.28
-if [ $linux_minor -gt 27 ]; then
+if [ $linux_minor -ge 28 ]; then
     # create one partition
     sfdisk $mddev <<EOF
 ,,83
@@ -95,7 +98,7 @@
 
     # Checking for 'alignment_offset' in sysfs implies Linux >= 2.6.31
     sysfs_alignment_offset=/sys/dev/block/${mddev_maj_min}/${base_mddev_p}/alignment_offset
-    [ -f $sysfs_alignment_offset ] && \
+    [ -f $sysfs_alignment_offset -a $linux_minor -ge 33 ] && \
 	alignment_offset=`cat $sysfs_alignment_offset` || \
 	alignment_offset=0
 


             reply	other threads:[~2010-01-19 15:59 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-01-19 15:59 snitzer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2011-01-28 16:12 zkabelac
2011-01-05  1:04 mornfall
2011-01-05  0:38 mornfall
2010-08-21 15:43 snitzer
2010-08-12  4:56 snitzer
2010-07-21 14:12 mornfall
2010-05-24 15:28 mornfall
2010-04-13 21:42 wysochanski
2009-09-13 19:28 mbroz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20100119155934.15758.qmail@sourceware.org \
    --to=snitzer@sourceware.org \
    --cc=lvm-devel@redhat.com \
    --cc=lvm2-cvs@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).